Package org.eclipse.jgit.internal.storage.file

## Class PackBitmapIndexWriterV1

- java.lang.Object
- - org.eclipse.jgit.internal.storage.file.PackBitmapIndexWriterV1

    public class PackBitmapIndexWriterV1
    extends Object

Creates the version 1 pack bitmap index files.

See Also:
  `PackBitmapIndexV1`

### Constructor Summary

Constructors
`PackBitmapIndexWriterV1​(OutputStream dst)` Creates the version 1 pack bitmap index files.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write​(PackBitmapIndexBuilder bitmaps, byte[] packDataChecksum)` Write all object entries to the index stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackBitmapIndexWriterV1

    public PackBitmapIndexWriterV1​(OutputStream dst)

Creates the version 1 pack bitmap index files.

Parameters:
  `dst` - the output stream to which the index will be written.

### Method Detail

#### write

    public void write​(PackBitmapIndexBuilder bitmaps,
                      byte[] packDataChecksum)
               throws IOException

Write all object entries to the index stream.

After writing the stream passed to the factory is flushed but remains open. Callers are always responsible for closing the output stream.

Parameters:
  `bitmaps` - the index data for the bitmaps
  `packDataChecksum` - checksum signature of the entire pack data content. This is traditionally the last 20 bytes of the pack file's own stream.
Throws:
  `IOException` - an error occurred while writing to the output stream, or this index format cannot store the object data supplied.